header: search.h
macros: []
types:
  - type_name: struct_hsearch_data
  - type_name: ENTRY
  - type_name: ACTION
enums: []
objects: []
functions:
  - name: hcreate
    standards: 
      - POSIX
    return_type: int
    arguments:
      - type: size_t
  - name: hcreate_r
    standards: GNUExtensions
    return_type: int
    arguments:
      - type: size_t
      - type: struct hsearch_data *
  - name: hsearch
    standards: 
      - POSIX
    return_type: ENTRY *
    arguments:
      - type: ENTRY
      - type: ACTION
  - name: hsearch_r
    standards: GNUExtensions
    return_type: int
    arguments:
      - type: ENTRY
      - type: ACTION
      - type: ENTRY * *
      - type: struct hsearch_data *
  - name: hdestroy
    standards: GNUExtensions 
    return_type: void
    arguments: []
  - name: hdestroy_r
    standards: 
      - POSIX
    return_type: void
    arguments:
      - type: struct hsearch_data *
  - name: insque
    standards: 
      - POSIX
    return_type: void
    arguments:
      - type: void *
      - type: void *
  - name: remque
    standards: 
      - POSIX
    return_type: void
    arguments:
      - type: void *
